GeneralizedHullWhite Class Reference
Short-rate modelling framework

Generalized Hull-White model class. More...

`#include <ql/experimental/shortrate/generalizedhullwhite.hpp>`

Inheritance diagram for GeneralizedHullWhite:
[legend]

## Classes

class | Dynamics
| Short-rate dynamics in the generalized Hull-White model. More...
class | FittingParameter
| Analytical term-structure fitting parameter \( \varphi(t) \). More...

## Public Member Functions

| GeneralizedHullWhite (const Handle< YieldTermStructure > &yieldtermStructure, const std::vector< Date > &speedstructure, const std::vector< Date > &volstructure, const boost::function< Real(Real)> &f=boost::function< Real(Real)>(), const boost::function< Real(Real)> &fInverse=boost::function< Real(Real)>())
| GeneralizedHullWhite (const Handle< YieldTermStructure > &yieldtermStructure, const std::vector< Date > &speedstructure, const std::vector< Date > &volstructure, const std::vector< Real > &speed, const std::vector< Real > &vol, const boost::function< Real(Real)> &f=boost::function< Real(Real)>(), const boost::function< Real(Real)> &fInverse=boost::function< Real(Real)>())
boost::shared_ptr< ShortRateDynamics > | dynamics () const
| returns the short-rate dynamics
boost::shared_ptr< Lattice > | tree (const TimeGrid &grid) const
| GeneralizedHullWhite (const Handle< YieldTermStructure > &yieldtermStructure, Real a=0.1, Real sigma=0.01)
boost::shared_ptr< ShortRateDynamics > | HWdynamics () const
Real | discountBondOption (Option::Type type, Real strike, Time maturity, Time bondMaturity) const
Public Member Functions inherited from OneFactorAffineModel
| OneFactorAffineModel (Size nArguments)
virtual Real | discountBond (Time now, Time maturity, Array factors) const
Real | discountBond (Time now, Time maturity, Rate rate) const
DiscountFactor | discount (Time t) const
| Implied discount curve.
Public Member Functions inherited from OneFactorModel
| OneFactorModel (Size nArguments)
boost::shared_ptr< Lattice > | tree (const TimeGrid &grid) const
| Return by default a trinomial recombining tree.
Public Member Functions inherited from ShortRateModel
| ShortRateModel (Size nArguments)
Public Member Functions inherited from CalibratedModel
| CalibratedModel (Size nArguments)
void | update ()
virtual void | calibrate (const std::vector< boost::shared_ptr< CalibrationHelper > > &, OptimizationMethod &method, const EndCriteria &endCriteria, const Constraint &constraint=Constraint(), const std::vector< Real > &weights=std::vector< Real >(), const std::vector< bool > &fixParameters=std::vector< bool >())
| Calibrate to a set of market instruments (usually caps/swaptions) More...
Real | value (const Array &params, const std::vector< boost::shared_ptr< CalibrationHelper > > &)
const boost::shared_ptr< Constraint > & | constraint () const
EndCriteria::Type | endCriteria () const
| Returns end criteria result.
const Array & | problemValues () const
| Returns the problem values.
Disposable< Array > | params () const
| Returns array of arguments on which calibration is done.
virtual void | setParams (const Array &params)
Integer | functionEvaluation () const
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from AffineModel
virtual Real | discountBondOption (Option::Type type, Real strike, Time maturity, Time bondStart, Time bondMaturity) const
Public Member Functions inherited from TermStructureConsistentModel
| TermStructureConsistentModel (const Handle< YieldTermStructure > &termStructure)
const Handle< YieldTermStructure > & | termStructure () const

## Static Public Member Functions

static Rate | convexityBias (Real futurePrice, Time t, Time T, Real sigma, Real a)

## Protected Member Functions

Real | a () const
Real | sigma () const
void | generateArguments ()
Real | A (Time t, Time T) const
Real | B (Time t, Time T) const

## Additional Inherited Members

Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from CalibratedModel
std::vector< Parameter > | arguments_
boost::shared_ptr< Constraint > | constraint_
EndCriteria::Type | shortRateEndCriteria_
Array | problemValues_
Integer | functionEvaluation_

## Detailed Description

Generalized Hull-White model class.

This class implements the standard Black-Karasinski model defined by

\[ d f(r_t) = (\theta(t) - \alpha f(r_t))dt + \sigma dW_t, \]

where \( alpha \) and \( sigma \) are piecewise linear functions.